Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.soa.esb.notification
Enum NotifyJMS.NativeMessage

    java.lang.Object
      java.lang.Enum<NotifyJMS.NativeMessage>
          org.jboss.soa.esb.notification.NotifyJMS.NativeMessage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NotifyJMS.NativeMessage>

Enclosing class:
  NotifyJMS

    public static enum NotifyJMS.NativeMessage

extends java.lang.Enum<NotifyJMS.NativeMessage>

Enum Constant Summary
`object`
`text`

Method Summary
`static NotifyJMS.NativeMessage` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NotifyJMS.NativeMessage[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### text

    public static final NotifyJMS.NativeMessage text

### object

    public static final NotifyJMS.NativeMessage object

Method Detail

### values

    public static final NotifyJMS.NativeMessage[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(NotifyJMS.NativeMessage c : NotifyJMS.NativeMessage.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static NotifyJMS.NativeMessage valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD